Bug 1461559 - Wrong RHV provider refresh error, when provider is down.
Wrong RHV provider refresh error, when provider is down.
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Piotr Kliczewski
Ilanit Stein
rhev
: ZStream
Depends On: 1452157
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 15:15 EDT by Satoe Imaishi
Modified: 2017-08-02 13:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1452157
Environment:
Last Closed: 2017-08-02 13:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-providers-ovirt/pull/43 None None None 2017-06-14 15:15 EDT

  None (edit)
Comment 2 CFME Bot 2017-06-14 15:21:16 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b7e499c7d926f12892fc9462ecdc4584c1a59fa3

commit b7e499c7d926f12892fc9462ecdc4584c1a59fa3
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Mon May 29 19:23:02 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 15:15:43 2017 -0400

    Merge pull request #43 from pkliczewski/provider_down
    
    Misleading message when provider is down
    (cherry picked from commit 99ccb8e39db8cfc28f30b5f4c6ebb44b165d1760)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461559

 app/models/manageiq/providers/redhat/infra_manager/api_integration.rb | 3 +++
 .../providers/redhat/infra_manager/refresh/refresher_builder.rb       | 4 ++++
 2 files changed, 7 insertions(+)
Comment 3 Ilanit Stein 2017-06-28 16:30:18 EDT
Tested on CFME-5.8.1.0/RHV-4.1.3.

For a RHV that was powered off, while connected to CFME, there is a more suitable error now: 

"Error - Less Than A Minute Ago
Not able to connect to the server."


On evm.log these errors appear:

[----] E, [2017-06-28T16:21:30.336950 #44375:6c9134] ERROR -- : MIQ(ManageIQ::Providers::Redhat::InfraManager#supported_api_versions_from_sdk) Error while probing supported api versions Can't send request: Couldn't connect to server
[----] E, [2017-06-28T16:21:30.338307 #44375:6c9134] ERROR -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Refresh::Strategies::Api3#refresh) EMS: [rhv-4.0], id: [10] Refresh failed
[----] E, [2017-06-28T16:21:30.338625 #44375:6c9134] ERROR -- : [MiqException::MiqUnreachableError]: Not able to connect to the server.  Method:[rescue in block in refresh]
[----] E, [2017-06-28T16:21:30.338698 #44375:6c9134] ERROR -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Refresh::Strategies::Api3#refresh) EMS: [rhv-4.0], id: [10] Unable to perform refresh for the following targets:
[----] E, [2017-06-28T16:21:30.338777 #44375:6c9134] ERROR -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Refresh::Strategies::Api3#refresh)  --- ManageIQ::Providers::Redhat::InfraManager [rhv-4.0] id [10]
[----] I, [2017-06-28T16:21:30.365434 #44375:6c9134]  INFO -- : MIQ(ManageIQ::Providers::Redhat::InfraManager::Refresh::Strategies::Api3#refresh) Refreshing all targets...Complete
[----] E, [2017-06-28T16:21:30.366377 #44375:6c9134] ERROR -- : MIQ(MiqQueue#deliver) Message id: [33152], Error: [Not able to connect to the server.]
[----] E, [2017-06-28T16:21:30.366588 #44375:6c9134] ERROR -- : [EmsRefresh::Refreshers::EmsRefresherMixin::PartialRefreshError]: Not able to connect to the server.  Method:[rescue in deliver]
[----] E, [2017-06-28T16:21:30.366791 #44375:6c9134] ERROR -- : /var/www/miq/vmdb/app/models/ems_refresh/refreshers/ems_refresher_mixin.rb:50:in `refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:9:in `refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:98:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:97:in `each'
/var/www/miq/vmdb/app/models/ems_refresh.rb:97:in `refresh'
/var/www/miq/vmdb/app/models/miq_queue.rb:347:in `block in deliver'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:343:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:135:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:153:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:341:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:338:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:338:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:160:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:134:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:21:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:339:in `block in start_runner'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:337:in `start_runner'
/var/www/miq/vmdb/app/models/miq_worker.rb:348:in `start'
/var/www/miq/vmdb/app/models/miq_worker.rb:266:in `start_worker'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:68:in `start_worker_for_ems'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:46:in `block in sync_workers'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:45:in `each'
/var/www/miq/vmdb/app/models/mixins/per_ems_worker_mixin.rb:45:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:22:in `monitor_workers'
/var/www/miq/vmdb/app/models/miq_server.rb:349:in `block in monitor'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-6d84116b28df/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-6d84116b28df/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:349:in `monitor'
/var/www/miq/vmdb/app/models/miq_server.rb:371:in `block (2 levels) in monitor_loop'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-6d84116b28df/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-6d84116b28df/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:371:in `block in monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:370:in `loop'
/var/www/miq/vmdb/app/models/miq_server.rb:370:in `monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:253:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:65:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:91:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'

Boris,
Are these errors expected in this case please?
Comment 4 Ilanit Stein 2017-06-29 02:52:29 EDT
Piotr,

The above question, in comment #3, is addressed to you. 

Moving bug to verified as the Error message changed indeed into a relevant one.
Comment 5 Piotr Kliczewski 2017-06-29 03:27:18 EDT
Ilanit,

Yes, the stacktrace is correct - provider was not able to connect.
Comment 7 errata-xmlrpc 2017-08-02 13:31:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.